body {
    overflow: hidden;
    min-height: 100%;
    background-size: cover;
    /* backdrop-filter: brightness(0.4); */
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.form-container {
    height: 70%;
    width: 38%;
    color: white;
    backdrop-filter: blur(6px);
    border-radius: 10px;
    font-family: Calibri, "Trebuchet MS", sans-serif;
    text-shadow: 3px 3px 2px black;
    transition: 0.2s ease-in;
    border: 2px solid white;
    box-shadow: 1px 1px 6px black;
}
.signup-heading{
    font-size: 1.4rem;
}

.divider {
    width: 37%;
    border: 1px solid white;
    position: absolute;
    top: 10%;
}

.owner_agent_div {
    position: absolute;
    top: 15%;
    width: 29%;
    display: flex;
    justify-content: space-evenly;
    font-size: 1.2rem;
}
.agent_owner_labels {
    padding: 0 6px;
}
.agentOwner {
    text-align: center;
    font-size: 1.2rem;
    font-weight: 100;
}
.signup_form td {
    padding-top: 1vh;
}
.signup_form td:nth-child(1) {
    padding-right: 1.5vw;
}
.signup_form td input {
    /* width: 90% !important; */
    height: 4vh;
}
.signup_form {
    width: 85%;
}
.container form {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-content: center;
    align-items: center;
}

.form-container .content {
    width: 86%;
    height: 33%;
    margin-top: 10%;
    display: flex;
    justify-content: space-between;
}
.content .block1,
.content .block2 {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 45%;
}
label > h3 {
    font-size: 0.9rem;
    margin-bottom: 6px;
}

.input {
    width: 100%;
    height: 63%;
    position: static;
    background: none;
    border: 1px solid white;
    color: white;
    border-radius: 4px;
    padding-left: 2%;
}
.input::placeholder {
    color: white;
}
.input:focus {
    outline: none;
    font-weight: normal;
}

#submitBtn {
    width: 53.5%;
    color: white;
    border: 1px solid white;
    font-size: 1.2rem;
    transition: 0.2s ease-in;
    padding: 10px;
    background: linear-gradient(135deg, #4da6ff, #65e1ff);
    box-shadow: 0 5px 15px rgba(74, 196, 243, 0.2);
    border-radius: 10px;
    border: none;
}

#submitBtn:hover {
    transform: translateY(-3px);
    box-shadow: 0 8px 20px rgba(74, 196, 243, 0.3);
    background: linear-gradient(135deg, #65e1ff, #4da6ff);
}

#user-again-regi {
    font-size: 1.1rem;
    text-align: center;
}
.error-message {
    text-shadow: none;
    color: red;
    font-size: 15px;
    font-weight: bolder;
}

#form-container {
    transition: none;
}


/* responsive design */
@media only screen and (max-width: 400px) {
    .form-container {
        width: 79%;
        height: 60%;
    }

    .signup-heading {
        font-size: 0.8rem;
    }

    .divider {
        top: 12%;
        width: 45%;
    }

    .owner_agent_div {
        top: 13%;
        width: 71%;
        font-size: 0.8rem;
    }

    #owner,
    #agent,
    #builder {
        height: 10px;
    }
    .agent_owner_labels {
        padding: 0 6px;
        font-size: 0.6rem;
    }
    #space {
        display: none;
    }
    label > h3 {
        font-size: 0.55rem;
    }

    .input::placeholder {
        font-size: 0.6rem;
    }

    .extra-links {
        font-size: 0.8rem;
        text-align: center;
    }

    .error-message {
        margin-top: 0px;
        font-size: 69%;
    }

    #user-again-regi {
        font-size: 0.9rem;
    }

    #submitBtn {
        font-size: 0.8rem;
        padding: 5px;
    }
}

@media only screen and (min-width: 400px) and (max-width: 700px) {
    .form-container {
        width: 79%;
        height: 60%;
    }

    #myForm > h3 {
        font-size: 1.2rem;
    }

    .divider {
        top: 10%;
        width: 45%;
    }

    .owner_agent_div {
        top: 13%;
        width: 71%;
        font-size: 0.8rem;
    }
    .agent_owner_labels {
        padding: 0 6px;
        font-size: 0.9rem;
    }
    #space {
        display: none;
    }
    #owner,
    #agent,
    #builder {
        height: 10px;
    }

    label > h3 {
        font-size: 0.7rem;
    }

    .input::placeholder {
        font-size: 0.7rem;
    }

    .extra-links {
        font-size: 0.8rem;
        text-align: center;
    }

    .error-message {
        font-size: 82%;
    }

    #submitBtn {
        margin-top: 9%;
        font-size: 0.8rem;
        padding: 5px;
    }
}


@media only screen and (min-width: 700px) and (max-width: 1080px) {
    .form-container {
        height: 70%;
        width: 60%;
    }

    #myForm > h3 {
        font-size: 1.4rem;
    }

    .divider {
        top: 11%;
        width: 45%;
    }

    .owner_agent_div {
        top: 13%;
        width: 71%;
        font-size: 1rem;
    }

    #owner,
    #agent {
        height: 10px;
    }

    label > h3 {
        font-size: 0.7rem;
    }

    .input::placeholder {
        font-size: 0.7rem;
    }

    .extra-links {
        font-size: 0.8rem;
        text-align: center;
    }

    .error-message {
        font-size: 82%;
    }

    #submitBtn {
        margin-top: 9%;
    }
}
